rte_eth_ipv6_flow(3)

NAME
rte_eth_ipv6_flow

SYNOPSIS

#include <rte_eth_ctrl.h>

  Data Fields

uint32_t src_ip [4]
uint32_t dst_ip [4]
uint8_t tc
uint8_t proto
uint8_t hop_limits

Detailed Description

A structure used to define the input for IPV6 flow

Definition at line 201 of file rte_eth_ctrl.h.

Field Documentation

  uint32_t src_ip[4]
IPv6 source address in big endian.

Definition at line 202 of file rte_eth_ctrl.h.

  uint32_t dst_ip[4]
IPv6 destination address in big endian.

Definition at line 203 of file rte_eth_ctrl.h.

  uint8_t tc
Traffic class to match.

Definition at line 204 of file rte_eth_ctrl.h.

  uint8_t proto
Protocol, next header to match.

Definition at line 205 of file rte_eth_ctrl.h.

  uint8_t hop_limits
Hop limits to match.

Definition at line 206 of file rte_eth_ctrl.h.

Author

Generated automatically by Doxygen for DPDK from the source code.